Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MxUtil

    java.lang.Object
      org.hyperic.hq.product.jmx.MxUtil

    public class MxUtil

extends Object

Field Summary
`static String` | `PROP_JMX_PASSWORD`
`static String` | `PROP_JMX_PORT`
`static String` | `PROP_JMX_PROVIDER_PKGS`
`static String` | `PROP_JMX_URL`
`static String` | `PROP_JMX_USERNAME`

Constructor Summary
`MxUtil()`

Method Summary
`static void` | `close(JMXConnector connector)`
`static void` | `close(JMXConnector connector, String objectName, String method)`
`static JMXConnector` | `getCachedMBeanConnector(Properties config)`
`static JMXConnector` | `getMBeanConnector(Properties config)`
`static MBeanServerConnection` | `getMBeanServer(Properties config)`
`static Object` | `getValue(Properties config, String objectName, String attribute)`
`static Object` | `invoke(Properties config, String objectName, String method, Object[] args, String[] sig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_JMX_URL

    public static final String PROP_JMX_URL

See Also:
  Constant Field Values

### PROP_JMX_PORT

    public static final String PROP_JMX_PORT

See Also:
  Constant Field Values

### PROP_JMX_USERNAME

    public static final String PROP_JMX_USERNAME

See Also:
  Constant Field Values

### PROP_JMX_PASSWORD

    public static final String PROP_JMX_PASSWORD

See Also:
  Constant Field Values

### PROP_JMX_PROVIDER_PKGS

    public static final String PROP_JMX_PROVIDER_PKGS

See Also:
  Constant Field Values

Constructor Detail

### MxUtil

    public MxUtil()

Method Detail

### getCachedMBeanConnector

    public static JMXConnector getCachedMBeanConnector(Properties config)
                                                throws MalformedURLException,
                                                       IOException

  Throws:
    `MalformedURLException`
    `IOException`

### getMBeanConnector

    public static JMXConnector getMBeanConnector(Properties config)
                                          throws MalformedURLException,
                                                 IOException

  Throws:
    `MalformedURLException`
    `IOException`

### getMBeanServer

    public static MBeanServerConnection getMBeanServer(Properties config)
                                                throws MalformedURLException,
                                                       IOException

  Throws:
    `MalformedURLException`
    `IOException`

### getValue

    public static Object getValue(Properties config,
                                  String objectName,
                                  String attribute)
                           throws MalformedURLException,
                                  MalformedObjectNameException,
                                  IOException,
                                  MBeanException,
                                  AttributeNotFoundException,
                                  InstanceNotFoundException,
                                  ReflectionException,
                                  PluginException

  Throws:
    `MalformedURLException`
    `MalformedObjectNameException`
    `IOException`
    `MBeanException`
    `AttributeNotFoundException`
    `InstanceNotFoundException`
    `ReflectionException`
    `PluginException`

### invoke

    public static Object invoke(Properties config,
                                String objectName,
                                String method,
                                Object[] args,
                                String[] sig)
                         throws MetricUnreachableException,
                                MetricNotFoundException,
                                PluginException

  Throws:
    `MetricUnreachableException`
    `MetricNotFoundException`
    `PluginException`

### close

    public static void close(JMXConnector connector)

### close

    public static void close(JMXConnector connector,
                             String objectName,
                             String method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.